restic backup(1)

NAME

restic-find - Find a file, a directory or restic IDs

SYNOPSIS

restic find [flags] PATTERN...

DESCRIPTION

The "find" command searches for files or directories in snapshots stored in the repo. It can also be used to search for restic blobs or trees for troubleshooting.

OPTIONS

--blob[=false]
    pattern is a blob-ID

-h, --help[=false]
    help for find

-H, --host=[]
    only consider snapshots for this host, when no snapshot ID is given (can be specified multiple times)

-i, --ignore-case[=false]
    ignore case for pattern

-l, --long[=false]
    use a long listing format showing size and mode

-N, --newest=""
    newest modification date/time

-O, --oldest=""
    oldest modification date/time

--pack[=false]
    pattern is a pack-ID

--path=[]
    only consider snapshots which include this (absolute) path, when no snapshot-ID is given

--show-pack-id[=false]
    display the pack-ID the blobs belong to (with --blob or --tree)

-s, --snapshot=[]
    snapshot id to search in (can be given multiple times)

--tag=[]
    only consider snapshots which include this taglist, when no snapshot-ID is given

--tree[=false]
    pattern is a tree-ID

OPTIONS INHERITED FROM PARENT COMMANDS

--cacert=[]
    file to load root certificates from (default: use system certificates)

--cache-dir=""
    set the cache directory. (default: use system default cache directory)

--cleanup-cache[=false]
    auto remove old cache directories

--compression=auto
    compression mode (only available for repository format version 2), one of (auto|off|max)

--insecure-tls[=false]
    skip TLS certificate verification when connecting to the repository (insecure)

--json[=false]
    set output mode to JSON for commands that support it

--key-hint=""
    key ID of key to try decrypting first (default: $RESTIC_KEY_HINT)

--limit-download=0
    limits downloads to a maximum rate in KiB/s. (default: unlimited)

--limit-upload=0
    limits uploads to a maximum rate in KiB/s. (default: unlimited)

--no-cache[=false]
    do not use a local cache

--no-lock[=false]
    do not lock the repository, this allows some operations on read-only repositories

-o, --option=[]
    set extended option (key=value, can be specified multiple times)

--pack-size=0
    set target pack size in MiB, created pack files may be larger (default: $RESTIC_PACK_SIZE)

--password-command=""
    shell command to obtain the repository password from (default: $RESTIC_PASSWORD_COMMAND)

-p, --password-file=""
    file to read the repository password from (default: $RESTIC_PASSWORD_FILE)

-q, --quiet[=false]
    do not output comprehensive progress report

-r, --repo=""
    repository to backup to or restore from (default: $RESTIC_REPOSITORY)

--repository-file=""
    file to read the repository location from (default: $RESTIC_REPOSITORY_FILE)

--tls-client-cert=""
    path to a file containing PEM encoded TLS client certificate and private key

-v, --verbose[=0]
    be verbose (specify multiple times or a level using --verbose=n, max level/times is 3)

EXAMPLE

    restic find config.json
    restic find --json "*.yml" "*.json"
    restic find --json --blob 420f620f b46ebe8a ddd38656
    restic find --show-pack-id --blob 420f620f
    restic find --tree 577c2bc9 f81f2e22 a62827a9
    restic find --pack 025c1d06
    EXIT STATUS
    ===========
    Exit status is 0 if the command was successful, and non-zero if there was any error.

SEE ALSO

restic(1)